### DbEnv::lock_id

`

###

    #include <db_cxx.h>

    int
    DbEnv::lock_id(u_int32_t *idp);

### Description: DbEnv::lock_id

The DbEnv::lock_id method copies a locker ID, which is guaranteed to be unique in the specified lock table, into the memory location to which idp refers.

The DbEnv::lock_id_free method should be called to return the locker ID to the Berkeley DB library when it is no longer needed.

The DbEnv::lock_id method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

idp
  The idp parameter references memory into which the allocated locker ID is copied.

### Class

DbEnv, DbLock

### See Also

Locking Subsystem and Related Methods`

Copyright (c) 1996,2007 Oracle. All rights reserved.